import { IQueueParams, QueuePendingMessages } from 'redis-smq';
export declare class QueuePendingMessagesService {
    protected queuePendingMessages: {
        countMessagesAsync: (queue: import("redis-smq").TQueueExtendedParams) => Promise<number>;
        getMessagesAsync: (queue: import("redis-smq").TQueueExtendedParams, page: number, pageSize: number) => Promise<import("redis-smq").IQueueMessagesPage<import("redis-smq").IMessageTransferable>>;
        purgeAsync: ((queue: import("redis-smq").TQueueExtendedParams) => Promise<undefined>) | ((queue: import("redis-smq").TQueueExtendedParams) => Promise<void>);
        shutdownAsync: (() => Promise<undefined>) | (() => Promise<void>);
    } & QueuePendingMessages;
    constructor(queuePendingMessages: QueuePendingMessages);
    getMessages(queueParams: IQueueParams, cursor: number, pageSize: number): Promise<import("redis-smq").IQueueMessagesPage<import("redis-smq").IMessageTransferable>>;
    purge(queueParams: IQueueParams): Promise<void>;
    countMessagesAsync(queueParams: IQueueParams): Promise<number>;
}
//# sourceMappingURL=QueuePendingMessagesService.d.ts.map