import { JSONSchema7, JSONSchema7Definition } from 'json-schema';
import { EControllerRequestPayload } from '../controller/types/index.js';
import { TResponseSchemaMap, TResponseSchemaMapItem } from './types/index.js';
export declare function SchemaGenerator(): {
    getDefinitions(): {
        [key: string]: JSONSchema7Definition;
    };
    getRequestSchemas(controllerName: string, requestPayloadSource: EControllerRequestPayload[]): Map<EControllerRequestPayload, JSONSchema7>;
    getRequestValidators(map: Map<EControllerRequestPayload, JSONSchema7>): Map<EControllerRequestPayload, (data: unknown) => void>;
    getResponseSchemas(controllerName: string): Map<string, TResponseSchemaMapItem>;
    getResponseValidators(map: TResponseSchemaMap): Map<string, (data: unknown) => void>;
};
//# sourceMappingURL=schema-generator.d.ts.map