import { Container } from '../../container/Container.js';
export const getConsumerGroupPendingMessagesController = async (ctx) => {
    const service = Container.getInstance().resolve('consumerGroupsService');
    const { consumerGroupId, ...queueParams } = ctx.scope.resolve('requestPathDTO');
    const { cursor, pageSize } = ctx.scope.resolve('requestQueryDTO');
    const r = await service.getPendingMessages(queueParams, consumerGroupId, cursor, pageSize);
    return [200, r];
};
//# sourceMappingURL=getConsumerGroupPendingMessagesController.js.map