import { Container } from '../../container/Container.js';
export const purgeConsumerGroupPendingMessagesController = async (ctx) => {
    const service = Container.getInstance().resolve('consumerGroupsService');
    const { consumerGroupId, ...queueParams } = ctx.scope.resolve('requestPathDTO');
    await service.purgePendingMessages(queueParams, consumerGroupId);
    return [204, null];
};
//# sourceMappingURL=purgeConsumerGroupPendingMessagesController.js.map