import { Container } from '../../container/Container.js';
export const setQueueRateLimitController = async (ctx) => {
    const queueRateLimitService = Container.getInstance().resolve('queueRateLimitService');
    const queueParams = ctx.scope.resolve('requestPathDTO');
    const rateLimit = ctx.scope.resolve('requestBodyDTO');
    const r = await queueRateLimitService.setRateLimit(queueParams, rateLimit);
    return [200, r];
};
//# sourceMappingURL=setQueueRateLimitController.js.map