import { Container } from '../../container/Container.js';
export const createQueueController = async (ctx) => {
    const queueService = Container.getInstance().resolve('queuesService');
    const { queue, queueType, queueDeliveryModel } = ctx.scope.resolve('requestBodyDTO');
    const r = await queueService.createQueue(queue, queueType, queueDeliveryModel);
    return [201, r];
};
//# sourceMappingURL=createQueueController.js.map