import { IMessageParams, IQueueParams, ITopicParams } from 'redis-smq';
export interface PublishMessageControllerRequestBodyDTO {
    message: Partial<Omit<IMessageParams, 'id' | 'createdAt' | 'exchange' | 'consumerGroupId' | 'destinationQueue'>>;
    exchange: {
        queue: string | IQueueParams;
        topic?: never;
        fanOut?: never;
    } | {
        queue?: never;
        topic: string | ITopicParams;
        fanOut?: never;
    } | {
        queue?: never;
        topic?: never;
        fanOut: string;
    };
}
//# sourceMappingURL=PublishMessageControllerRequestBodyDTO.d.ts.map