import bluebird from 'bluebird';
const { promisifyAll } = bluebird;
export class QueueDeadLetteredMessagesService {
    queueDeadLetteredMessages;
    constructor(queueDeadLetteredMessages) {
        this.queueDeadLetteredMessages = promisifyAll(queueDeadLetteredMessages);
    }
    getMessages(queueParams, cursor, pageSize) {
        return this.queueDeadLetteredMessages.getMessagesAsync(queueParams, cursor, pageSize);
    }
    async purge(queueParams) {
        return this.queueDeadLetteredMessages.purgeAsync(queueParams);
    }
    async countMessagesAsync(queueParams) {
        return this.queueDeadLetteredMessages.countMessagesAsync(queueParams);
    }
}
//# sourceMappingURL=QueueDeadLetteredMessagesService.js.map