import { IQueueParams, QueueMessages } from 'redis-smq';
export declare class QueueMessagesService {
    protected queueMessages: {
        countMessagesByStatusAsync: (queue: string | IQueueParams) => Promise<import("redis-smq").IQueueMessagesCount>;
        shutdownAsync: (() => Promise<undefined>) | (() => Promise<void>);
        purgeAsync: ((queue: import("redis-smq").TQueueExtendedParams) => Promise<undefined>) | ((queue: import("redis-smq").TQueueExtendedParams) => Promise<void>);
        getMessagesAsync: (queue: import("redis-smq").TQueueExtendedParams, page: number, pageSize: number) => Promise<import("redis-smq").IQueueMessagesPage<import("redis-smq").IMessageTransferable>>;
        countMessagesAsync: (queue: import("redis-smq").TQueueExtendedParams) => Promise<number>;
    } & QueueMessages;
    constructor(queueMessages: QueueMessages);
    getMessages(queueParams: IQueueParams, cursor: number, pageSize: number): Promise<import("redis-smq").IQueueMessagesPage<import("redis-smq").IMessageTransferable>>;
    countMessagesAsync(queueParams: IQueueParams): Promise<number>;
    purge(queueParams: IQueueParams): Promise<void>;
    countMessagesByStatus(queueParams: IQueueParams): Promise<import("redis-smq").IQueueMessagesCount>;
}
//# sourceMappingURL=QueueMessagesService.d.ts.map