"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteNamespaceController = void 0;
const Container_js_1 = require("../../container/Container.js");
const deleteNamespaceController = (ctx) => __awaiter(void 0, void 0, void 0, function* () {
    const namespacesService = Container_js_1.Container.getInstance().resolve('namespacesService');
    const { ns } = ctx.scope.resolve('requestPathDTO');
    yield namespacesService.deleteNamespace(ns);
    return [204, null];
});
exports.deleteNamespaceController = deleteNamespaceController;
//# sourceMappingURL=deleteNamespaceController.js.map