import { Namespace } from 'redis-smq';
export declare class NamespacesService {
    protected namespace: {
        getNamespacesAsync: () => Promise<string[]>;
        getNamespaceQueuesAsync: (namespace: string) => Promise<import("redis-smq").IQueueParams[]>;
        deleteAsync: ((namespace: string) => Promise<undefined>) | ((namespace: string) => Promise<void>);
        shutdownAsync: (() => Promise<undefined>) | (() => Promise<void>);
    } & Namespace;
    constructor(namespace: Namespace);
    getNamespaces(): Promise<string[]>;
    getNamespaceQueues(ns: string): Promise<import("redis-smq").IQueueParams[]>;
    deleteNamespace(ns: string): Promise<void>;
}
//# sourceMappingURL=NamespacesService.d.ts.map