import { Container } from '../../container/Container.js';
export const deleteConsumerGroupController = async (ctx) => {
    const service = Container.getInstance().resolve('consumerGroupsService');
    const { consumerGroupId, ...queueParams } = ctx.scope.resolve('requestPathDTO');
    await service.deleteConsumerGroup(queueParams, consumerGroupId);
    return [204, null];
};
//# sourceMappingURL=deleteConsumerGroupController.js.map