import { Container } from '../../container/Container.js';
export const getAllExchangesController = async (ctx) => {
    const service = Container.getInstance().resolve('exchangeFanOutService');
    const queueParams = ctx.scope.resolve('requestQueryDTO');
    const isQueueParams = (queueParams) => {
        return !!(queueParams.ns && queueParams.name);
    };
    const fanOutExchanges = await service.getAllExchanges(isQueueParams(queueParams) ? queueParams : undefined);
    return [200, fanOutExchanges];
};
//# sourceMappingURL=getAllExchangesController.js.map